package com.ruoyi.bst.device.service;

import java.util.Map;

import com.ruoyi.bst.device.domain.Device;

public interface DeviceConverter {

    /**
     * 新增设备
     * @param data
     */
    Device toPoByCreate(Device data);

    /**
     * 修改设备
     * @param data
     */
    Device toPoByUpdate(Device data);

    /**
     * 转为缓存数据
     * @param device
     * @return
     */
    Map<String, Object> toCacheInfo(Device device);
    
}
